/*
 *      @(#)gfuncs.h	1.6     6/18/93
 */

/*
 * gfuncs.h
 *
 */

/* htext.c */
extern double hgetstrwidth ();
extern double getstrwidth ();
extern int hgetstrheight();

/* util.c */
extern char *nm_util_malloc ();
extern char *nm_util_malloc_string ();
#ifdef SGI
extern char *strdup(const char *);
#else
extern char *strdup();
#endif


/* types.c */
extern void initConverters ();

/* callbacks.c */
extern void GetNetLoad ();
extern void nodeScale_thumbed ();
extern void maxRadius_thumbed ();
extern void linkScale_thumbed ();
extern void maxLWidth_thumbed ();
extern void nodeTimeo_thumbed ();
extern void linkTimeo_thumbed ();

/* widgets.c */
extern void setLabel ();
extern void setText ();
extern void fail0 ();
extern void fail1 ();
extern void initWidgetsFromString ();
extern void Ok();
extern void StartTrace();

/* classnames.c */
extern WidgetClass classNameToWidgetClass ();

/* map_display.c */
extern Boolean UndoMap();

/* trace.c */
extern Boolean readtracepipeanddraw();

/* trace_display.c */

/* trace_resolve.c */
extern void resolve_host ();
extern int table_loadhosts ();
extern int table_loadnets ();
extern float dms_read ();

/* gpos.c */
extern int pos();
