extern XtAppContext appContext;
extern Widget toplevel;

/*
 * Global graphics data
 */
extern Display *display;
extern Screen *screen;
extern Window root;

extern Pixmap tick_pixmap;

extern GC gc_inverse;
extern Drawable drawable;

extern int screen_width;
extern int screen_height;

/*extern String manfCodes;*/

extern char *prog_name;

extern Boolean nm_colour_dump;	       /* colour ps dumps? */

extern int 	nm_page_type;	       /* postscript page type */
extern Boolean 	page_flag;
extern Boolean 	page_begin;
extern int 	ps_color;
#define A4		1
#define US_LETTER	2

extern int nm_display_type;	       /* colour, grey or mono */
#define COLOUR		1
#define GREY		2
#define MONO		3

extern char *nm_postscript_output_file;

extern char *device;

/* Map status global */
extern struct Map_State_Struct ms;     /* Holds all details of the current map state */

/* Global structures containing the maps themselves */
extern Region_Struct *cil_map;	/* Coastline Data */
extern Region_Struct *riv_map;	/* River Data */
extern Region_Struct *pdy_map;	/* Data of political boundaries */

/* Trace related globals */
extern Traces_Status_Struct ts;        /* Contains the trace status, and the trace info */


extern Boolean batchmode;
